Subject: [PATCH 0/7] Remove fenics

From: Andreas Enge <[email-masked]>
Date: Mon, 31 Mar 2025 23:52:49 +0200

Indeed, comments in our source code say that the fenics project has been
dormant for three years now. I think fenics-dolfin has not built for
months, probably years. So I suppose that nobody actually uses the
fenics packages in Guix, and I would suggest to remove them all on or
after May 1st. Patch series following.

PS: Indeed, years ago. See here:
    https://issues.guix.gnu.org/57143

Andreas Enge (7):
  gnu: Remove python-dolfin-adjoint.
  gnu: Remove fenics.
  gnu: Remove fenics-dolfin.
  gnu: Remove python-fenics-ffc.
  gnu: Remove python-fenics-dijitso.
  gnu: Remove python-fenics-ufl.
  gnu: Remove python-fenics-fiat.

 gnu/packages/simulation.scm | 576 ------------------------------------
 1 file changed, 576 deletions(-)

base-commit: 5ef3295c8fd8af9beda6f1f30a899044951cda0c
-- 
2.49.0